@ rem filename: NLPostest.bat
@
@ rem last update: 2011-20-21 
@echo off
if /i "%processor_architecture%"=="x86" (goto :32bit) else (goto :64bit)

:32bit
rem set lp=c:\windows\system32
goto :end

:64bit
set path=%path%;c:\Windows\SysWow64
rem set lp=c:\Windows\SysWow64
:end


@echo off
set oldcp=%classpath%
set classpath=postest.jar
set classpath=%classpath%;jpos110.jar
set classpath=%classpath%;xerces.jar
set classpath=%classpath%;"%cd%"\

REM Modify the following line to point to the directories containing NLHIDScanWin32.dll
PATH=%PATH%;%cd%\scannerso



REM Archives containing the JPOS controls
set classpath=%classpath%;"%cd%"\jpos\jpos110-controls.jar
set classpath=%classpath%;"%cd%"\scannerso\scannerjpos.jar;sampleld.jar

rem java -cp %classpath% -Djava.library.path=%lp% com.jpos.POStest.POStest
 java -cp %classpath%  com.jpos.POStest.POStest
set classpath=%oldcp%